<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Index</title>
  <meta content="text/html; charset=utf-8" http-equiv="content-type">
	<style>
		html,body {
			margin: 0; padding: 0px;
			height:100%; 
			min-height:100%;
			background-color: rgb(233,232,220);
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-style: normal;
			font-weight: normal;
			color: black;
		}

		body {font-size:75%;position:relative; margin-top:-1px; border-style: solid solid solid solid;	border-color: rgb(172,168,153);	border-width: 0px 0px 1px 0px;}
		a { text-decoration:none; color:#06c }
		form {padding:5px; margin:0px;}
	</style>
</head>
<body style="direction: ltr;">
	<form>
	Look for:<br /><input style="width:100%" onKeyDown="check_input(this.value,get_match)" onKeyUp="check_input(this.value,get_match)"/>
	</form>

	<script>
		var words = new Array(
"Add Method {WcfDictionary.Dictionary}","Add Method {WcfDictionary.IDictionary}","Delete Method {WcfDictionary.Dictionary}","Delete Method {WcfDictionary.IDictionary}","Dictionary Class","IDictionary Interface","Main Method","Program Class","SOLUTION-WIDE PROPERTIES Reference","Translate Method {WcfDictionary.Dictionary}","Translate Method {WcfDictionary.IDictionary}","WcfDictionary Namespace","WcfDictionaryHost Namespace","dictionary_ Field"
		);
		
		
		var oldHighlight = 0;
		var oldKey = "";
		
		function get_match(text) {
		    var ltext = text.toLowerCase();
		    for(i in words) {
		        if(words[i].toLowerCase().indexOf(ltext) == "0") {
		            return words[i];
		        }
		    }
		    return "";
		}
		
		function highlight(keyword) {
		    if(oldHighlight) oldHighlight.className = "";
		    var el = parent.frames['zindex'].document.getElementById("w_"+keyword);
		    el.className="highlighted";
		    oldHighlight = el;
		}
		
		function check_input(text, matchfun) {
		    if(text!=oldKey) {
		        var keyword = matchfun(text);
		        if(keyword) {       
		            highlight(keyword);
		            parent.frames['zindex'].document.getElementById('w_'+keyword).scrollIntoView();
		        }
		        oldKey = text;
		    }
		}
	</script>
</body>
</html>

